Skip to main content
`Ctrl`+`K`

# DMStagSetNumRanks

set ranks in each direction in the global rank grid

## Synopsis

    #include "petscdmstag.h"
    #include "petscdmproduct.h"
    PetscErrorCode DMStagSetNumRanks(DM dm, PetscInt nRanks0, PetscInt nRanks1, PetscInt nRanks2)

Logically Collective; `nRanks0`, `nRanks1`, and `nRanks2` must contain common values

## Input Parameters

- dm - the `DMSTAG` object

- nRanks0 - number of ranks in the x direction

- nRanks1 - number of ranks in the y direction

- nRanks2 - number of ranks in the z direction

## Note

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids.

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMDASetNumProcs()`

## Level

developer

## Location

src/dm/impls/stag/stagutils.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages